Skip to main content
DELETE
Cancel All Orders

Headers

PX-Key-Id
string
required

The key id issued for your signing keypair.

PX-Timestamp
string
required

Unix seconds at signing, valid within 30 seconds of the server clock.

PX-Signature
string
required

Ed25519 signature of the request

PX-Content-Sha256
string
required

Hex SHA-256 of the request body, or the SHA-256 of the empty string when there is no body.

Query Parameters

orderId
string<uuid>[]

Restricts cancellation to these orders, at most five.

Required array length: 1 - 5 elements
marketSlug
string

Restricts cancellation to this market.

Minimum string length: 1
pageToken
string

Continuation token for orders not attempted within the request budget.

Required string length: 1 - 2048

Response

Per-order outcomes

results
object[]
required
nextPageToken
string